package com.leanwo.activiti.dto.base;

import java.io.Serializable;


public enum DisplayType implements IEnum, Serializable {
	NONE(""),
	ID("主键"),						// 主键	
	TextBoxEditor("String文本框"),				// String文本框
	
	DoubleBoxEditor("Double文本框"),			// Double文本框
	IntegerBoxEditor("Integer文本框"),			// Integer文本框
	LongBoxEditor("Long文本框"),				// Long文本框
	FloatBoxEditor("Float文本框"),				// Float文本框
	
	PasswordTextBoxEditor("密码文本框"),	// 密码文本框
	TextAreaEditor("文本区域"),					// 文本区域
	RichTextAreaEditor("格式文本"),			// 格式文本
	
	CheckBoxEditor("复选框"),				// 复选框
	
	DateBoxEditor("日期选择器"),				// 日期选择器 (DatePicker)
	TimeBoxEditor("时间选择器"),				// 时间选择器 (TimePicker)
	DateTimeBoxEditor("日期时间选择器"),		// 日期时间选择器 (DateTimePicker)
	
	ListBoxEditor("下拉列表框"),				// 列表框
	SearchBoxEditor("搜索框"),					// 搜索框
	
	ButtonEditor("按钮"),				// 按钮
	
	ListBoxEnumEditor("枚举列表框"),	// 枚举列表框
	
	ImageEditor("图片"),	// 图片
	
	ImageListEditor("图片组"), // 图片组
	
	Canvas("绘图"),// 绘图
	
	RadioButtonGroupEditor("枚举单选按钮组"), // 绘图
	
	Label("Label"),	// Label
	
	Video("视频"),
	
	File("文件"),
	
	BigDecimalEditor("BigDecimal"),
	
	EnumMultiSelect("枚举多选框"), 		// 枚举多选框
	
	ManyToManySetBoxEditor("多选搜索框"),	// 多选搜索框

	RedGreenEditor("红蓝字"),

	YearEditor("年份选择器"),

	YearMonthEditor("年月选择器"),
	
	;
	
	private String displayName;

	DisplayType(String displayName) {
		this.displayName = displayName;
	}

	@Override
	public String getDisplayName() {
		return displayName;
	}

	@Override
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}
}
